View Issue Details

IDProjectCategoryView StatusLast Update
0022783mantisbtapi restpublic2017-06-04 14:58
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022783: Return 400 instead of server side error if summary, description or project fields are missing
Description

The API should validate the request and return 400 Bad Request with a hint about the missing information rather than having a service side php error.

TagsNo tags attached.

Activities

Issue History

Date Modified Username Field Change
2017-04-23 18:34 vboctor New Issue
2017-04-23 18:34 vboctor Status new => assigned
2017-04-23 18:34 vboctor Assigned To => vboctor
2017-04-23 18:34 vboctor Note Added: 0056676
2017-04-30 14:57 vboctoradmin Target Version => 2.5.0
2017-05-03 22:42 vboctor Status assigned => resolved
2017-05-03 22:42 vboctor Resolution open => fixed
2017-05-03 22:42 vboctor Fixed in Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed